libcamera: libcamera::CameraControlValidator Class Reference

libcamera v0.3.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
Public Member Functions | List of all members
libcamera::CameraControlValidator Class Referencefinal

A control validator for Camera instances. More...

Inheritance diagram for libcamera::CameraControlValidator:
[legend]
Collaboration diagram for libcamera::CameraControlValidator:
[legend]

## Public Member Functions
| CameraControlValidator (Camera *camera)
| Construst a CameraControlValidator for the camera.
const std::string & | name () const override
| Retrieve the name of the object associated with the validator.
bool | validate (unsigned int id) const override
| Validate a control.
Public Member Functions inherited from libcamera::ControlValidator

## Detailed Description

A control validator for Camera instances.

This ControlValidator specialisation validates that controls exist in the Camera associated with the validator.

## Constructor & Destructor Documentation

## ◆ CameraControlValidator()

libcamera::CameraControlValidator::CameraControlValidator | ( | Camera * | camera | ) |

Construst a CameraControlValidator for the camera.

Parameters

  [in] | camera | The camera

## Member Function Documentation

## ◆ name()

const std::string & libcamera::CameraControlValidator::name | ( |  | ) | const
| overridevirtual

Retrieve the name of the object associated with the validator.

Returns
  The name of the object associated with the validator

Implements libcamera::ControlValidator.

## ◆ validate()

bool libcamera::CameraControlValidator::validate | ( | unsigned int | id | ) | const
| overridevirtual

Validate a control.

Parameters

  [in] | id | The control ID

Returns
  True if the control is valid, false otherwise

Implements libcamera::ControlValidator.

The documentation for this class was generated from the following files:

- include/libcamera/internal/camera_controls.h
- src/libcamera/camera_controls.cpp